## hnswlib 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (hnsw_lib)

include_directories("${PROJECT_BINARY_DIR}")



set(SOURCE_EXE main.cpp)           

set(SOURCE_LIB sift_1b.cpp)

add_library(sift_test STATIC ${SOURCE_LIB})


add_executable(main ${SOURCE_EXE})
if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
  SET( CMAKE_CXX_FLAGS  "-Ofast -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -ftree-vectorize")
elseif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -w -fopenmp -ftree-vectorize -ftree-vectorizer-verbose=0" )
elseif (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
  SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -w -fopenmp -ftree-vectorize" )
endif()

add_executable(test_updates examples/updates_test.cpp)

target_link_libraries(main sift_test)

=== python_bindings/Makefile ===
pypi: dist
	twine upload dist/*

dist:
	-rm dist/*
	python3 setup.py sdist

test:
	python3 setup.py test

clean:
	rm -rf *.egg-info build dist var first_half.bin tests/__pycache__ hnswlib.cpython-36m-darwin.so

.PHONY: dist

=== python_bindings/requirements.txt ===
numpy>=1.10.0
pybind11>=2.0

=== debian/changelog ===
hnswlib (0.4.0-3+deb11u1) bullseye; urgency=medium

  * Team upload.
  * cve-2023-37365.patch: new: fix CVE-2023-37365.
    This is done by capping M to 10000 per discussion with upstream.
    (Closes: #1041426)

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Jul 2023 11:07:28 +0200

hnswlib (0.4.0-3) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Fix syntax

  [ Nilesh Patra ]
  * Remove -march=native flags (Closes: #974043)
  * Limit archs for testing

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 11 Nov 2020 03:36:36 +0530

hnswlib (0.4.0-2) unstable; urgency=medium

  * Proper build instructions. (by Nilesh Patra)

 -- Steffen Moeller <moeller@debian.org>  Mon, 21 Sep 2020 16:59:36 +0200

hnswlib (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #969558)

 -- Steffen Moeller <moeller@debian.org>  Fri, 04 Sep 2020 23:45:05 +0200

=== debian/control ===
Source: hnswlib
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-setuptools,
               python3-pybind11,
               python3-numpy
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
Homepage: https://github.com/nmslib/hnswlib
Rules-Requires-Root: no

Package: python3-hnswlib
Architecture: any
Section: python
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pybind11,
         python3-numpy
Description: Python bindings for hnswlib: fast approximate nearest neighbor search
 A common task in data analysis but also in scientific computations
 is to find data that is very close (multi-dimensional space) or
 similar (same thing) to a given data point. Also as heuristics for
 physics engines, it is the objects closest to you that you are
 most likely to collide with. This library knows how to do this
 fast.
 .
 This package provides a module for Python3 to the C implementation.

Package: libhnswlib-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: fast approximate nearest neighbor search
 Header-only C++ HNSW implementation with Python bindings.
 .
 A common task in data analysis but also in scientific computations
 is to find data that is very close (multi-dimensional space) or
 similar (same thing) to a given data point. Also as heuristics for
 physics engines, it is the objects closest to you that you are
 most likely to collide with. This library knows how to do this
 fast.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1
export LC_ALL=C.UTF-8
PYBUILD_NAME=hnswlib
PYBUILD_SYSTEM=pybuild

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild --sourcedirectory=python_bindings

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	if [ -d  debian ]; then \
		echo "I: Testing goes here."; \
	fi
endif

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hnswlib-$1.tar.gz%" \
https://github.com/nmslib/hnswlib/releases .*/archive/v?@ANY_VERSION@\.tar\.gz

## hnswlib 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,4 +23,6 @@
 
 add_executable(test_updates examples/updates_test.cpp)
 
+add_executable(searchKnnCloserFirst_test examples/searchKnnCloserFirst_test.cpp)
+
 target_link_libraries(main sift_test)

=== debian/changelog ===
hnswlib (0.5.2-1) unstable; urgency=medium

  * Team Upload.
  * Fix watch URL
  * New upstream version 0.5.2
  * Declare compliance with policy 4.5.1
  * Refresh and fix patches

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 17:35:20 +0530

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-pybind11,
                python3-numpy
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
 Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
 Homepage: https://github.com/nmslib/hnswlib

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hnswlib-$1.tar.gz%" \
https://github.com/nmslib/hnswlib/releases .*/archive/.*/v?@ANY_VERSION@\.tar\.gz

## hnswlib 0.6.0

=== debian/changelog ===
hnswlib (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 20:01:48 +0100

hnswlib (0.5.2-2) UNRELEASED; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 18:54:33 +0100

## hnswlib 0.6.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project(hnsw_lib
    LANGUAGES CXX)

add_library(hnswlib INTERFACE)
target_include_directories(hnswlib INTERFACE .) 

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    set(CMAKE_CXX_STANDARD 11)

    if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
      SET( CMAKE_CXX_FLAGS  "-Ofast -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -ftree-vectorize")
    elseif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
      SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -march=native -fpic -w -fopenmp -ftree-vectorize -ftree-vectorizer-verbose=0" )
    elseif (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
      SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -w -fopenmp -ftree-vectorize" )
    endif()

    add_executable(test_updates examples/updates_test.cpp)
    target_link_libraries(test_updates hnswlib)

    add_executable(searchKnnCloserFirst_test examples/searchKnnCloserFirst_test.cpp)
    target_link_libraries(searchKnnCloserFirst_test hnswlib)

    add_executable(main main.cpp sift_1b.cpp)
    target_link_libraries(main hnswlib)
endif()

=== Makefile ===
pypi: dist
	twine upload dist/*

dist:
	-rm dist/*
	pip install build
	python3 -m build --sdist

test:
	python3 -m unittest discover --start-directory python_bindings/tests --pattern "*_test*.py"

clean:
	rm -rf *.egg-info build dist tmp var tests/__pycache__ hnswlib.cpython*.so

.PHONY: dist

=== debian/changelog ===
hnswlib (0.6.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:43:01 +0000

hnswlib (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 20:38:57 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-pybind11,
                python3-numpy
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
 Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
 Homepage: https://github.com/nmslib/hnswlib
@@ -23,6 +23,7 @@
          ${python3:Depends},
          python3-pybind11,
          python3-numpy
+Multi-Arch: same
 Description: Python bindings for hnswlib: fast approximate nearest neighbor search
  A common task in data analysis but also in scientific computations
  is to find data that is very close (multi-dimensional space) or
@@ -37,6 +38,7 @@
 Architecture: all
 Section: libdevel
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: fast approximate nearest neighbor search
  Header-only C++ HNSW implementation with Python bindings.
  .

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 export LC_ALL=C.UTF-8
 PYBUILD_NAME=hnswlib
 PYBUILD_SYSTEM=pybuild
+
+# avoid -march=native to respect baseline
+export HNSWLIB_NO_NATIVE=yes
 
 include /usr/share/dpkg/default.mk
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%hnswlib-$1.tar.gz%" \
https://github.com/nmslib/hnswlib/releases .*/.*/v?@ANY_VERSION@\.tar\.gz

## hnswlib 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,12 +16,41 @@
       SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -w -fopenmp -ftree-vectorize" )
     endif()
 
-    add_executable(test_updates examples/updates_test.cpp)
+    # examples
+    add_executable(example_search examples/cpp/example_search.cpp)
+    target_link_libraries(example_search hnswlib)
+
+    add_executable(example_filter examples/cpp/example_filter.cpp)
+    target_link_libraries(example_filter hnswlib)
+
+    add_executable(example_replace_deleted examples/cpp/example_replace_deleted.cpp)
+    target_link_libraries(example_replace_deleted hnswlib)
+
+    add_executable(example_mt_search examples/cpp/example_mt_search.cpp)
+    target_link_libraries(example_mt_search hnswlib)
+
+    add_executable(example_mt_filter examples/cpp/example_mt_filter.cpp)
+    target_link_libraries(example_mt_filter hnswlib)
+
+    add_executable(example_mt_replace_deleted examples/cpp/example_mt_replace_deleted.cpp)
+    target_link_libraries(example_mt_replace_deleted hnswlib)
+
+    # tests
+    add_executable(test_updates tests/cpp/updates_test.cpp)
     target_link_libraries(test_updates hnswlib)
 
-    add_executable(searchKnnCloserFirst_test examples/searchKnnCloserFirst_test.cpp)
+    add_executable(searchKnnCloserFirst_test tests/cpp/searchKnnCloserFirst_test.cpp)
     target_link_libraries(searchKnnCloserFirst_test hnswlib)
 
-    add_executable(main main.cpp sift_1b.cpp)
+    add_executable(searchKnnWithFilter_test tests/cpp/searchKnnWithFilter_test.cpp)
+    target_link_libraries(searchKnnWithFilter_test hnswlib)
+
+    add_executable(multiThreadLoad_test tests/cpp/multiThreadLoad_test.cpp)
+    target_link_libraries(multiThreadLoad_test hnswlib)
+
+    add_executable(multiThread_replace_test tests/cpp/multiThread_replace_test.cpp)
+    target_link_libraries(multiThread_replace_test hnswlib)
+
+    add_executable(main tests/cpp/main.cpp tests/cpp/sift_1b.cpp)
     target_link_libraries(main hnswlib)
 endif()

=== debian/changelog ===
hnswlib (0.7.0-2build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 02 Nov 2023 09:20:48 +0100

hnswlib (0.7.0-2) unstable; urgency=medium

  * d/control: add prerequisite for pyproject backend.
  * d/clean: remove tmp directory and egg information. (Closes: #1047848)
  * typo.patch: new: fix a typo caught by lintian.
  * d/control: bring cross buildability one step further.
    This is done by splitting the build dependency python3-all-dev into
    python3-all-dev:any and libpython3-dev so crossbuild dependencies are
    satisfiable.
  * cassert.patch: remove: fixed upstream.
  * d/rules: remove top_level.txt from .dist-info.
    This file is egg-info specific and flagged by lintian as documentation
    outside /usr/share/doc.
  * noTwine.patch: mark forwarding not-needed.
  * do-not-use-native-flags.patch: mark forwarding not-needed.
  * use-shared-while-linking.patch: mark forwarding not-needed.

 -- Étienne Mollier <emollier@debian.org>  Mon, 21 Aug 2023 14:19:23 +0200

hnswlib (0.7.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

  [ Étienne Mollier ]
  * cve-2023-37365.patch: new: fix CVE-2023-37365.
    This is done by capping M to 10000 per discussion with upstream.
    (Closes: #1041426)
  * d/t/run-unit-test: adjust to new source layout.
  * d/copyright: update reference to sift_1b.cpp.
  * d/t/run-unit-test: test against all supported python3 versions.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Jul 2023 09:44:03 +0200

hnswlib (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 12 Oct 2022 16:11:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all-dev,
+               libpython3-dev,
+               pybuild-plugin-pyproject,
+               python3-all-dev:any,
                python3-setuptools,
                python3-pybind11,
                python3-numpy
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
 Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git
 Homepage: https://github.com/nmslib/hnswlib

## hnswlib 0.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,67 @@
-cmake_minimum_required (VERSION 2.6)
-project(hnsw_lib
+cmake_minimum_required(VERSION 3.0...3.26)
+
+project(hnswlib
     LANGUAGES CXX)
 
+include(GNUInstallDirs)
+include(CheckCXXCompilerFlag)
+
 add_library(hnswlib INTERFACE)
-target_include_directories(hnswlib INTERFACE .) 
+add_library(hnswlib::hnswlib ALIAS hnswlib)
 
+target_include_directories(hnswlib INTERFACE
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
+
+# Install
+install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/hnswlib
+    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+
+install(TARGETS hnswlib
+    EXPORT hnswlibTargets)
+
+install(EXPORT hnswlibTargets
+    FILE hnswlibConfig.cmake
+    NAMESPACE hnswlib::
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/hnswlib)
+
+# Examples and tests
 if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
+    option(HNSWLIB_EXAMPLES "Build examples and tests." ON)
+else()
+    option(HNSWLIB_EXAMPLES "Build examples and tests." OFF)
+endif()
+if(HNSWLIB_EXAMPLES)
     set(CMAKE_CXX_STANDARD 11)
 
-    if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
-      SET( CMAKE_CXX_FLAGS  "-Ofast -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -ftree-vectorize")
+    if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+      SET( CMAKE_CXX_FLAGS  "-Ofast -std=c++11 -DHAVE_CXX0X -openmp -fpic -ftree-vectorize" )
+      check_cxx_compiler_flag("-march=native" COMPILER_SUPPORT_NATIVE_FLAG)
+      if(COMPILER_SUPPORT_NATIVE_FLAG)
+        SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -march=native" )
+        message("set -march=native flag")
+      else()
+        check_cxx_compiler_flag("-mcpu=apple-m1" COMPILER_SUPPORT_M1_FLAG)
+        if(COMPILER_SUPPORT_M1_FLAG)
+          SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mcpu=apple-m1" )
+          message("set -mcpu=apple-m1 flag")
+        endif()
+      endif()
     elseif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
-      SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -march=native -fpic -w -fopenmp -ftree-vectorize -ftree-vectorizer-verbose=0" )
+      SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -std=c++11 -DHAVE_CXX0X -march=native -fpic -w -fopenmp -ftree-vectorize -ftree-vectorizer-verbose=0" )
     elseif (CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
-      SET( CMAKE_CXX_FLAGS  "-Ofast -lrt -DNDEBUG -std=c++11 -DHAVE_CXX0X -openmp -march=native -fpic -w -fopenmp -ftree-vectorize" )
+      SET( CMAKE_CXX_FLAGS  "/O2 -DHAVE_CXX0X /W1 /openmp /EHsc" )
     endif()
 
     # examples
     add_executable(example_search examples/cpp/example_search.cpp)
     target_link_libraries(example_search hnswlib)
+
+    add_executable(example_epsilon_search examples/cpp/example_epsilon_search.cpp)
+    target_link_libraries(example_epsilon_search hnswlib)
+
+    add_executable(example_multivector_search examples/cpp/example_multivector_search.cpp)
+    target_link_libraries(example_multivector_search hnswlib)
 
     add_executable(example_filter examples/cpp/example_filter.cpp)
     target_link_libraries(example_filter hnswlib)
@@ -36,6 +79,12 @@
     target_link_libraries(example_mt_replace_deleted hnswlib)
 
     # tests
+    add_executable(multivector_search_test tests/cpp/multivector_search_test.cpp)
+    target_link_libraries(multivector_search_test hnswlib)
+
+    add_executable(epsilon_search_test tests/cpp/epsilon_search_test.cpp)
+    target_link_libraries(epsilon_search_test hnswlib)
+
     add_executable(test_updates tests/cpp/updates_test.cpp)
     target_link_libraries(test_updates hnswlib)

=== Makefile ===
pypi: dist
	twine upload dist/*

dist:
	-rm dist/*
	pip install build
	python3 -m build --sdist

test:
	python3 -m unittest discover --start-directory tests/python --pattern "bindings_test*.py"

clean:
	rm -rf *.egg-info build dist tmp var tests/__pycache__ hnswlib.cpython*.so

.PHONY: dist

=== debian/changelog ===
hnswlib (0.8.0-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:19:41 +0000

hnswlib (0.8.0-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:08:30 +0000

hnswlib (0.8.0-1build2) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:01:05 +0100

hnswlib (0.8.0-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:11:30 +0000

hnswlib (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: cross-build: fix python3-all-dev split.
  * d/control: crossbuild: mark python3-numpy :native.
    This allows hnswlib to cross-build from source.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * do-not-use-native-flags.patch: refresh.
  * use-shared-while-linking.patch: refresh.
  * cve-2023-37365.patch: delete: applied upstream.
  * typo.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Dec 2023 10:45:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,16 @@
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               libpython3-dev,
+               dh-sequence-python3,
+               libpython3-all-dev,
                pybuild-plugin-pyproject,
-               python3-all-dev:any,
+               python3-all-dev:native,
                python3-setuptools,
                python3-pybind11,
-               python3-numpy
+# Native numpy is required in cross compilation context to build the wheel,
+# so marking <!nocheck> is not appropriate here.  See also [1] for rationale.
+# [1]: https://lists.debian.org/debian-cross/2023/01/msg00005.html
+               python3-numpy:native
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hnswlib
 Vcs-Git: https://salsa.debian.org/med-team/hnswlib.git

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all
Restrictions: allow-stderr
Architecture: amd64 arm64 i386 armhf
